
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>云主机环境搭建教程之搭建全能主机 / iVAN</title>

    <meta name="description" content="云主机环境搭建教程之搭建全能主机 很多站长在购买虚拟主机的时候,会看虚拟主机的一些参数,其中最重要的就是支持的程序语言.现在很多IDC商家都在宣称全能主机. 最好笑的一个事情就是,笔者刚建站的时候,购买了国内一家小主机商(名叫主机屋)的虚拟主机,他们宣传就是全能主机,什么语言都支持.这样的幌子去骗一些菜鸟还可以,对于一个懂技术的,就只能对他们的伎俩投以鄙视的眼光.后来询问之后,才知道他们所谓的全能主机,也就仅仅只支持PHP和ASP同时运行(使用IIS运行PHP),连ASP.net都不支持,对于这事,笔者还和他们理论了半天,现在估">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">云主机环境搭建教程之搭建全能主机</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　很多站长在购买虚拟主机的时候，会看虚拟主机的一些参数，其中最重要的就是支持的程序语言。现在很多IDC商家都在宣称全能主机。</p>
<p>　　最好笑的一个事情就是，笔者刚建站的时候，购买了国内一家小主机商(名叫主机屋)的虚拟主机，他们宣传就是全能主机，什么语言都支持。这样的幌子去骗一些菜鸟还可以，对于一个懂技术的，就只能对他们的伎俩投以鄙视的眼光。后来询问之后，才知道他们所谓的全能主机，也就仅仅只支持PHP和ASP同时运行(使用IIS运行PHP)，连ASP.net都不支持，对于这事，笔者还和他们理论了半天，现在估计再也不敢宣称全能主机了，这样的商家，希望所有站长都能远离，太没有道德了。</p>
<p>　　首先说说，什么是全能主机。</p>
<p>　　所谓的全能主机，就是一台服务器上面同时支持多个不同的应用服务器运行，并且能通过外部独立域名访问的主机。这里的多个，要至少大于等于三个。</p>
<p>　　因为目前来讲，Apache,IIS,Tomcat是目前被广泛使用的三种Web服务器软件，其中Apache，tomcat是开源软件，不仅用于Unix系统，也有基于Win32平台的版本。</p>
<p>　　IIS是Windows操作系统自带的组件，也提供了强大的Internet和Intranet服务功能。这三种服务器软件各有特色，IIS对ASP+Access的支持比较好，而Apache是PHP+MySQL平台不二的选择,Tomcat是运行java语言程序的服务器。</p>
<p>　　大家都知道，http只有一个开放端口，就是80端口。外部通过独立域名访问网站的时候，如果不加端口，会默认访问服务器中80端口下面的网站。很现实，这几个应用服务器不可能只用一个端口。如果要访问，则必须通过域名加端口号才能访问，这样显然不利于推广。因此，我们就需要想办法让用户输入简单域名，而我们在后台截获域名，然后动态的解析到不同的端口网站上。</p>
<p>　　按照这样的思路，笔者想了很多办法，传统的就是重新配置IIS，使其支持PHP+MySQL，或者重新配置Apache使其能支持ASP+Access。但考虑到这两种方法虽然从技术上都能够实现，但配置过程较复杂，不易于推广，不利于初学者使用。况且如果你还搭建了java程序，那就更复杂了。</p>
<p>　　笔者也没有从事过IDC行业的工作，没有这方面的经验。同时也在思考现在那些全能功能是如何实现的。根据笔者的经验，他们是有一个80端口的服务器做代理分发，将不同的域名分发到不用的应用服务器的网站上。</p>
<p>　　通过这样的思路，笔者想到了使用Apache的虚拟主机功能和反向代理模块来实现。</p>
<p>　　什么是Apache虚拟主机。在apache的官方技术网站上是这样定义的。</p>
<p>　　虚拟主机指的是在单一机器上运行多个网站 (例如 www.company1.com 和 www.company2.com) 。 虚拟主机可以“基于 IP”，即每个 IP 一个站点； 或者“基于名称”， 即每个 IP 多个站点。这些站点运行在同一物理服务器上的事实不会明显的透漏给最终用户。</p>
<p>　　Apache 是第一个支持基于 IP 的虚拟主机的服务器。 Apache 版本 1.1 和更新的版本同时支持基于 IP 和基于名称的虚拟主机。 基于名称的虚拟主机有时候称为基于主机或非 IP的虚拟主机。</p>
<p>　　详细地址：http://httpd.apache.org/docs/2.2/vhosts/ 注：本文是基于名称的虚拟主机配置。</p>
<p>　　什么是反向代理。</p>
<p>　　反向代理（Reverse Proxy）方式是指以代理服务器来接受internet上的连接请求然后将请求转发给内部网络上的服务器，并将从服务器上得到的结果返回给internet上请求连接的客户端，此时代理服务器对外就表现为一个web服务器。</p>
<p>　　那么我们就将Apache服务器做为一个代理web服务器，用它来处理从外部访问过来的任何请求并且返回给外部。</p>
<p>　　有兴趣的朋友可以了解下什么是正向代理。</p>
<p>　　名词术语大概介绍完了，那么本文主要通过一个例子来为大家简述配置的具体方法。</p>
<p>　　前言：仍然以笔者的www.bxw001.com这个域名为例。这个网站是一个ASP+Access网站，建立在IIS6.0下，端口设置为81。如果不使用反向代理，则用户访问这个网站时，必须使用www.bxw001.com:81 才能正常访问，很麻烦。</p>
<p>　　通过反向代理设置后，用户仍然使用www.bxw001.com域名网站，但首先会进入到Apache服务器，然后再调转到IIS下的正式网站去。</p>
<p>　　设置步骤如下：</p>
<p>　　1、加载Apache的代理模块</p>
<p>　　打开httpd.conf文件，放开以下几行代码的注释，(将前面的#去掉即可)，此时Apache就是一个web代理服务器了。</p>
<p>LoadModule proxy_module modules/mod_proxy.so<br />LoadModule proxy_connect_module modules/mod_proxy_connect.so<br />LoadModule proxy_http_module modules/mod_proxy_http.so<br />LoadModule proxy_ftp_module modules/mod_proxy_ftp.so</p>
<p>　　2、建立虚拟主机，进行端口重定向</p>
<p>　　为需要代理的网站建立一个虚拟主机，在此笔者强烈建议，都通过虚拟主机来单独配置。有些朋友可能直接在httpd.conf文件里修改，这样虽然也能实现，但是所有的访问，包括不是代理域名的访问都会进入被代理的网站去。</p>
<p>　　因为Apache虚拟主机的加载顺序是按照顺序来加载的，如果访问的url配置了虚拟主机，则进行代理访问，如果没有，默认是以第一个的。</p>
<p>　　因此，需要引入虚拟主机单独的配置文件，在这里面增加虚拟主机配置。</p>
<p>　　在httpd.conf文件中找到这行代码，Include conf/extra/httpd-vhosts.conf，去掉#注释。</p>
<p>　　以下关于虚拟主机的配置都在httpd-vhosts.conf下进行。</p>
<p>　　默认Apache提供了两个样例，不用管，直接注释掉，或者在原来上面修改也可以。</p>
<p>　　我们是要将站点www.bxw001.com域名的所有访问转向IIS下面的81端口，先增加一个虚拟主机。代码如下：</p>
<p>&lt;VirtualHost *:80&gt;<br />    ServerAdmin [email protected]<br />    DocumentRoot "d:/wwwroot/www.bxw.com"<br />    ServerName bxw001.com<br />    ServerAlias www.bxw001.com<br />    ErrorLog "logs/bxw001.com.log"<br />    CustomLog "logs/bxw001.com.log" common<br />    &lt;Directory "d:/wwwroot/www.bxw.com"&gt;<br />     Require all granted<br />    &lt;/Directory&gt;<br />   ProxyPass / http://localhost:81/<br />   ProxyPassReverse / http://localhost:81/<br />&lt;/VirtualHost&gt;</p>
<p>　　解释：</p>
<p>ServerAdmin：这个就是邮箱，可以默认<br />DocumentRoot：这个是你被代理的网站的根目录地址。我们这就是IIS6.0下面的ASP网站目录。注意目录斜杠的方向。<br />ServerName ：被代理的域名，这里就是你IIS下ASP网站的独立域名。<br />ServerAlias：同上，别名，一般可以写成一级或者二级域名。<br />ErrorLog ：日志文件地址和名称。一般以域名作为文件名，方便区分，默认存放在apache的logs目录下。<br />&lt;Directory &gt; 设置虚拟主机的目录的访问权限。笔者建议权限的设定都在虚拟主机下单独设置，而不是在httpd.conf中统一设置成所有都可以访问，这样不安全。<br />ProxyPass ：这个是关键，表示IIS下面ASP网站的真实访问地址，这里写成localhost，也可以写成域名+端口，这要看你在IIS设置的主机头地址了。如果主机头默认，那么这里就是localhost。<br />ProxyPassReverse ：反向代理地址，返回给用户的信息。</p>
<p>　　同时不要忘记在所有虚拟主机的一开始位置，增加默认虚拟主机配置。</p>
<p>&lt;VirtualHost *:80&gt;<br />     ServerAdmin [email protected]<br />     DocumentRoot "D:/wamp/www"<br />     ServerName localhost<br />     ServerAlias localhost<br />     &lt;Directory "d:/wamp/www"&gt;<br />         Options FollowSymLinks<br />         AllowOverride All<br />         Order allow,deny<br />         Allow from all<br />     &lt;/Directory&gt;<br />&lt;/VirtualHost&gt;</p>
<p>　　这个默认，你可以设置成Apache的www目录。</p>
<p>　　以上两步操作完成后，保存后重启Apache服务。你可以试着访问ASP网站的域名www.bxw001.com，不要加端口号，看看是否可以正常访问了。呵呵。</p>
<p>　　如果要增加多个IIS网站或者JAVA网站，只要按照上面的步骤2中的代码增加虚拟主机即可，同时将代理域名写成你需要被代理的网站的URL即可。</p>
<p>　　通过这样操作，就可以完美实现一个全能主机了，你可以随便在服务器上搭建多个不同环境的网站了。</p>
<p>　　来源：sixdosoft投稿。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:51:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/apache/" title="apache">apache</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d/" title="域名">域名</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%90%86/" title="代理">代理</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%ab%99/" title="网站">网站</a>, <a href="https://www.iamivan.net/tag/%e8%99%9a%e6%8b%9f%e4%b8%bb%e6%9c%ba/" title="虚拟主机">虚拟主机</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d%e7%bd%91%e7%ab%99iis/" title="域名网站iis">域名网站iis</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%9c%ba%e5%b1%8b/" title="主机屋">主机屋</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%ab%99%e6%90%ad%e5%bb%ba/" title="网站搭建">网站搭建</a>, <a href="https://www.iamivan.net/tag/%e7%88%b6%e7%aa%97%e5%85%a8%e8%83%bd%e4%bd%bf%e7%94%a8/" title="父窗全能使用">父窗全能使用</a>, <a href="https://www.iamivan.net/tag/java-webjava%e5%9f%9f%e5%90%8d%e4%ba%91%e4%b8%bb%e6%9c%ba/" title="java webjava域名云主机">java webjava域名云主机</a>, <a href="https://www.iamivan.net/tag/asp%e6%9c%8d%e5%8a%a1%e5%99%a8%e6%90%ad%e5%bb%ba/" title="asp服务器搭建">asp服务器搭建</a>, <a href="https://www.iamivan.net/tag/%e5%85%a8%e8%83%bd%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="全能服务器">全能服务器</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8d%e5%90%91tomcat/" title="反向tomcat">反向tomcat</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>云主机环境搭建教程之搭建全能主机的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEd1lM.html" rel="bookmark">Active Directory攻防实验室环境搭建教程（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Active Directory攻防实验室环境搭建教程(一),这篇文章不是为了描述如何搭建配置非常完美的实验室.相反,本文的重点是实验室的具体环境,可以让你作为学习的工具快速,轻松地搞起来.了解计算机网络和安全的最佳方法是自己搭建家庭实验室.值得高兴的事情是,搭建家庭实验室不再像以前那样需要多台物理计算机.虚拟化技术使得任何人都可以使用高配的处理器和足够的内存来创建实验室环境,而不会过于的复杂.此外,也可以以最低的成本来构建Windows环境进行网络安全测试. 实验室托管 云端: Am			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6QdXz.html" rel="bookmark">win7 php环境搭建教程：win7下php环境搭建步骤详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  今天绿茶小编带给大家的是win7 php环境搭建教程,php新手如果不知道如何在win7下php环境搭建方法的话,那么接下来这篇文章就可以帮到你,步骤还是很详细的哦~ 以下是一些注意事项: 一.apache选择msi格式下载,一路next,ok,修改httpd.conf进行配置; 二.配置的LoadModule php5_module路径一定要正确设置,并且注意双引号为英文字符; 三.php配置按参考修改即可,一般无大问题; 四.配置完成apache不能启动报错:the requested			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q860p.html" rel="bookmark">Active Directory攻防实验室环境搭建教程（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Active Directory攻防实验室环境搭建教程(二),这篇文章不是为了描述如何搭建配置非常完美的实验室.相反,本文的重点是实验室的具体环境,可以让你作为学习的工具快速,轻松地搞起来.了解计算机网络和安全的最佳方法是自己搭建家庭实验室.值得高兴的事情是,搭建家庭实验室不再像以前那样需要多台物理计算机.虚拟化技术使得任何人都可以使用高配的处理器和足够的内存来创建实验室环境,而不会过于的复杂.此外,也可以以最低的成本来构建Windows环境进行网络安全测试. 管理实验室虚拟机 大多数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1YNZb.html" rel="bookmark">windows server 2008&sol;2012安装php iis7 mysql环境搭建教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				windows server 2008/2012安装php iis7 mysql环境搭建教程,具体内容如下 1.安装IIS windows server 2008的IIS版本为7.0,包括fastcgi,安装十分方便. 打开&quot;开始&quot;菜单→&quot;服务器管理&quot;,出现服务器管理界面(图1) 图1 - 服务器管理 滚动条下翻,或者点击主菜单的&quot;角色&quot;,然后点击&quot;添加角色&quot;,出现向导页面后点击下一步,选择&quot;web服务器(IIS)&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAXOk3b.html" rel="bookmark">windows server 2008&sol;2012安装php iis7 mysql环境搭建教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				windows server 2008/2012安装php iis7 mysql环境搭建教程,具体内容如下 1.安装IIS windows server 2008的IIS版本为7.0,包括fastcgi,安装十分方便. 打开&quot;开始&quot;菜单→&quot;服务器管理&quot;,出现服务器管理界面(图1) 图1 - 服务器管理 滚动条下翻,或者点击主菜单的&quot;角色&quot;,然后点击&quot;添加角色&quot;,出现向导页面后点击下一步,选择&quot;web服务器(IIS)&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN7wZb.html" rel="bookmark">node&period;js环境搭建教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Node.js是一个JavaScript运行环境,但是实际上他是多谷歌V8引擎进行封装,node对一些特殊的用例进行了优化,提供了API,让V8更加好的在非浏览器情况下运行,下面小编就为大家介绍一下node.js环境搭建教程 Node.js是一个事件驱动I/O服务端JavaScript环境.由于其拥有异步非阻塞.环境搭建简单.实践应用快等特性,使得其在新一代编程开发中更为流行.同时,由于Node.js 基于JavaScript语法,因此在学习Node.js时也可以了解和学习JavaScrip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6P4Dz.html" rel="bookmark">LAMP环境搭建教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:LAMP环境搭建教程 学习PHP脚本编程语言之前,必须先搭建并熟悉开发环境,开发环境有很多种,例如LAMP.WAMP.MAMP等.这里我介绍一下LAMP环境的搭建,即Linux.Apache.MySQL.PHP环境. 一.首先安装操作系统 操作系统:centos6.3 IP地址:192.168.146.129 网关: DNS: 操作系统安装步骤,此处不在给出截图. 备注:服务器系统采用最小化安装,安装一下GCC编译工具和一个桌面即可.如下图所示:   &lt;a href=&quot;https:/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z2Waz.html" rel="bookmark">IIS&plus;PHP&plus;MYSQL服务器环境搭建教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 IIS+PHP+MYSQL服务器环境搭建教程 : 1.安装IIS:插入WINDOWS安装盘-控制面板-添加或删除程序-添加/删除windows组件-选择Internet信息服务安装. 2.安装PHP:到www.php.net下载win平台压缩包(注意不要选msi自动安装不利于维护),解压到任意目录,如c:/php. 3.配置php环境:复制P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmP76b.html" rel="bookmark">mysql5&period;7&period;13 环境搭建教程（解压缩版）&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近决定学习数据库,在比较了各个数据库之后,选择从mysql入手,主要原因:  •开源  •成熟,通用  •用户量多,社区完善  •入门简单 一.下载安装 mysql的官网下载地址:http://dev.mysql.com/downloads/mysql/  mysql官网有俩种版本可供下载,分别是客户端版本(Recommended Download,也是官网的推荐版本)和解压缩版本(Archive).我这里选择的是解压缩版本,点击download进行下载,下载完毕后直接将压缩包解压到您想要安装			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp56Q6z.html" rel="bookmark" class="title">浅入深讲解prototype的具体使用方法</a>
					<div>
						文章简介:但是在实际的编程过程中不知道有没有感觉到现有方法的不足?prototype 方法应运而生!下面,将通过实例由浅入深讲解 prototype 的具体使用方法. prototype 是在 IE  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3yQ7p.html" rel="bookmark" class="title">BCB山水清音网址书签 1&period;1版</a>
					<div>
						书签 修订了不少BUG 下载:http://jsj.jh.zj.cn/leadbbs/images/upload/2004/12/07/142653.rar 正文 					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR40Gz.html" rel="bookmark" class="title">CSS的滤镜效果&lpar;2&rpar;</a>
					<div>
						css|滤镜 滤镜可以针对图形或者文字来增添一些效果... 如果在搭配之前所写的定位以及文字的性质... 可以在不使用图档的情况下.. 让网页有很棒的效果,而且浏览又快速... gray 滤镜 将彩色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bomDXp.html" rel="bookmark" class="title">Java之父称PHP&comma;Ruby以及C&num;&comma;不足为惧</a>
					<div>
						James Gosling上周参加了纽约的Sun 全球教育研讨会(World Wide Education &amp; Research Conference),在会上这位Java 之父进行了演讲,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ884M.html" rel="bookmark" class="title">所谓的LBS产品的核心展示（checkin）文案</a>
					<div>
						本文主要想说的是,其实在产品设计上只有一条定律:你的产品是在什么情境下帮助什么人以什么形式完成什么任务.你对你产品的理解,对上述4个要素的填空结果将直接决定你产品的架构.展示.运营. 下面的案例来自一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8OO9M.html" rel="bookmark" class="title">网页设计&colon;创建整洁有序的内容布局的8个技巧</a>
					<div>
						网页设计中,内容组织恐怕是最至关重要.最影响设计品质的方面了.如何将信息组织到好的布局中,是一个网站的基础,并且应该在考虑外观之前就决定好.没有好的布局,网页信息流就不能正确传递,所有东西都不能建立起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEX4oz.html" rel="bookmark" class="title">C&num;数组篇讲解</a>
					<div>
						数组 继续上回,数组是我们经常用到的,我来介绍一下:数组是具有相同类型的一组数据.当访问数组中的数据时,可以通过下标来指明.c#中数组元素可以为任何数据类型,数组下标从0开始,即第一个元素对应的下标为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6KAEz.html" rel="bookmark" class="title">在Windows 7和XP之间共享文件的方法</a>
					<div>
						共享,自Vista以来就是个被讨论得很多的话题,尤其是不同系统之间的共享似乎显得尤为困难.今天我们就来看一下,Windows 7和XP之间如何共享文件. 由于有了HomeGroup(家庭组)的功能,两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7r52b.html" rel="bookmark" class="title">Pear&colon;HTTP&lowbar;Upload简介</a>
					<div>
						Pear的HTTP_Upload类库提供了一个封装好的html表单文件上传处理程序,使用Pear的error系统. 特点 能一次处理多个文件的上传 容易校验文件的上传状态,限制不期望的文件上传 多语种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPdGoz.html" rel="bookmark" class="title">用键鼠玩转Win8开始界面</a>
					<div>
						微软Windows 8开始菜单支持用户增添自定义板块,比如增添联系人.新闻.音乐等等,但这又使开始菜单变得更长.尽管用户可以点击开始菜单横向拉条右侧按钮进行缩放以方便选取内容,但如果有鼠标横向滚轮的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1PVjz.html" rel="bookmark" class="title">PHP 冒泡排序 二分查找 顺序查找 二维数组排序算法函数的详解</a>
					<div>
						数据结构很重要,算法+数据结构+文档=程序使用PHP描述冒泡排序算法,对象可以是一个数组 复制代码 代码如下: //冒泡排序(数组排序)function bubble_sort($array) { $ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW7Kmb.html" rel="bookmark" class="title">Windows系统怎么添加Ubuntu启动项？</a>
					<div>
						  Windows系统怎么添加Ubuntu启动项?         1.下载grub4dos软件包,提取文件grldr 和grldr.mbr到C盘根目录 2.某些版本的windows可能已经有用到其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z5YVb.html" rel="bookmark" class="title">电脑键盘不能用问题解决方法</a>
					<div>
						  电脑键盘不能用问题解决方法 接上一好键盘.开机自检时,出现提示&quot;Keyboard Interface Error&quot;后死机,拔下键盘,重新插入后又能正常启动系统,使用一段时间后键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywJBZz.html" rel="bookmark" class="title">D盘无法打开怎么办</a>
					<div>
						  在下载&quot;超级兔子&quot;后,将其安装到了D盘中,之后又使用&quot;超级兔子&quot;将D盘隐藏了.重新启动电脑后,发现D盘无法打开,&quot;超级兔子&quot;也不能运行了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq5XBb.html" rel="bookmark" class="title">c&plus;&plus;今天写双链表时链接错误LNK2001，代码如下（还未写完想测试一下结果没通过）</a>
					<div>
						问题描述 c++今天写双链表时链接错误LNK2001,代码如下(还未写完想测试一下结果没通过) 发到贴吧上问了一次,回复较少,所以又来问一遍 代码在贴吧上http://tieba.baidu.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32L4Nz.html" rel="bookmark" class="title">ORACLE的jdbc版本</a>
					<div>
						classes12.jar,ojdbc14.jar,ojdbc5.jar和ojdbc6.jar的区别,之间的差异 作者:赵磊 博客:http://elf8848.iteye.com 在使用Oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZWk4p.html" rel="bookmark" class="title">《Spark与Hadoop大数据分析》一一3&period;5　持久化与缓存</a>
					<div>
						3.5 持久化与缓存 Spark 的一个独特功能是在内存中持久化 RDD.你可以使用 persist 或 cache 变换来持久化 RDD,如下所示: 上述两个语句都是相同的,并且会在 MEMORY_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLd5np.html" rel="bookmark" class="title">源代码-人脸合成玩偶在线等各位大大</a>
					<div>
						问题描述 人脸合成玩偶在线等各位大大 用户导入一张照片然后后台系统合成一个和人相似的玩偶,各位大神有没有相关的源代码或者是相关的一些软件的源代码.在线等各位大大解答 解决方案 http://www.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB142Kz.html" rel="bookmark" class="title">背水一战 Windows 10 &lpar;37&rpar; - 控件（弹出类）&colon; MessageDialog&comma; ContentDialog</a>
					<div>
						原文:背水一战 Windows 10 (37) - 控件(弹出类): MessageDialog, ContentDialog [源码下载] 背水一战 Windows 10 (37) - 控件(弹出类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAjgvM.html" rel="bookmark" class="title">《Spring攻略（第2版）》&mdash;&mdash;1&period;12　用&commat;Autowired和&commat;Resource自动装配Bean</a>
					<div>
						1.12 用@Autowired和@Resource自动装配Bean 1.12.1 问题 在Bean配置文件中设置autowire属性进行的自动装配将装配一个Bean的所有属性.这样的灵活性不足以仅仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r5WJz.html" rel="bookmark" class="title">天猫调整营销活动报名基准规则，DSR店铺评分和退款纠纷率成重要标准</a>
					<div>
						3月10日消息,天猫对营销活动报名基准规则进行了调整,新的规则将于3月13日生效. 天猫表示,DSR店铺评分和退款纠纷率是天猫检验商家服务能力的重要标准,所有商家如需报名参与天猫营销活动必须达到该店铺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22aYob.html" rel="bookmark" class="title">将不定期开放&OpenCurlyDoubleQuote;人人都说Swing丑，唯我独爱它&mdash;Swing高仿QQ&rdquo; 源码</a>
					<div>
						问题描述 从今天开始将会在CSDN上开放Swing高仿QQ的源码.所有信息第一时间在群里公布一起探讨java方面的问题.本群位置有限先来先得所以加群时请注名信息来源地packageclient.log ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXeBrb.html" rel="bookmark" class="title">ASP&period;NET在项目中如何让一个文本框赋值后不可修改，一定是先赋值</a>
					<div>
						问题描述 ReadOnly属性我已经知道是怎么回事,但是他不能先赋值,求大神指导! 解决方案 解决方案二:...用onblur事件...在里面设置readonly就好了...解决方案三:赋值后,失去焦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAYA7b.html" rel="bookmark" class="title">WPF中关于下拉框的数据绑定</a>
					<div>
						问题描述 在WPF中,有两个combobox,其中一个下拉框的数据项要根据另一个下拉框选择项来获取数据.两者数据并没有上下级或子集关系,请问该怎么做. 解决方案 解决方案二:在第一个下拉框中的选择项事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2R3qz.html" rel="bookmark" class="title">Eclipse、MyEclipse 导入svn项目具体步骤&lowbar;java</a>
					<div>
						          SVN的使用,当然是提高工作效率,一个项目中每个人都负责一部分,然后在整合,这里就对Eclipse 和MyEclipse导入SVN项目,具体步骤做一个整理. 1.首先将上面的插件解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0K3wp.html" rel="bookmark" class="title">C&sol;C&plus;&plus;实现的游戏角色名称名字随机生成代码&lowbar;C 语言</a>
					<div>
						#ifndef __NAME_H__ #define __NAME_H__ class CName { public: CName(); virtual ~CName(); const char* G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKNQWz.html" rel="bookmark" class="title">简单的两种Extjs formpanel加载数据的方式&lowbar;javascript技巧</a>
					<div>
						1.formpanel数据源和grid相同,使用 Form.getForm().loadRecord(row);则数据便可自动加载在formpanel中对应的控件.2.formpanel数据源是单独的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEq4Bz.html" rel="bookmark" class="title">大型网站的Google如何优化获得好的排名</a>
					<div>
						      以前关于Google排名策略的文章,大多都是针对中小型企业网站的,因为大型商务网站和中小型企业网站的性质有很大的不同,所以他们针对它们进行的SEO策略也有很大的不同,这里我详细给大家谈一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0gPOp.html" rel="bookmark" class="title">javascript制作网页图片上实现下雨效果&lowbar;javascript技巧</a>
					<div>
						这里主要是应用了一个rainyday的js类库,使用非常简单方便,就不多废话了,看演示代码吧. 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QjkAM.html" rel="bookmark" class="title">java消息队列-将一个对象加入一个消息队列有什么用</a>
					<div>
						问题描述 将一个对象加入一个消息队列有什么用 将一个对象加入一个消息队列有什么用 一个消息队列本身是一个什么类的对象啊 有什么特点 解决方案 放在那里等待处理,队列你可以理解为一个列表					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
